scsum1.f(3)

NAME
scsum1.f -

SYNOPSIS

  Functions/Subroutines
REAL function SCSUM1 (N, CX, INCX)
SCSUM1

Function/Subroutine Documentation

  REAL function SCSUM1 (INTEGERN, COMPLEX, dimension( * )CX, INTEGERINCX)

SCSUM1

Purpose:

     SCSUM1 takes the sum of the absolute values of a complex
     vector and returns a single precision result.
     Based on SCASUM from the Level 1 BLAS.
     The change is to use the 'genuine' absolute value.

Parameters:
    N

              N is INTEGER
              The number of elements in the vector CX.

    CX

              CX is COMPLEX array, dimension (N)
              The vector whose elements will be summed.

    INCX

              INCX is INTEGER
              The spacing between successive values of CX.  INCX > 0.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Contributors:
    Nick Higham for use with CLACON'.

Definition at line 82 of file scsum1.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.